part of 'permission_bloc.dart';

abstract class PermissionState extends Equatable {
  const PermissionState();

  @override
  List<Object> get props => [];
}

class PermissionInitial extends PermissionState {}

class PermissionLoaded extends PermissionState {
  final List<RBACPermission> permissions;
  final List<RBAC> objects;
  final List<RBAC> operations;
  const PermissionLoaded(
      {required this.permissions,
      required this.objects,
      required this.operations});
}

class PermissionAddedState extends PermissionState {
  final Map<dynamic, dynamic> response;
  const PermissionAddedState({required this.response});
}

class PermissonLoadingState extends PermissionState {}

class PermissionErrorState extends PermissionState {
  final String message;
  const PermissionErrorState({required this.message});
}

class PermissionDeletedState extends PermissionState {
  final bool success;
  const PermissionDeletedState({required this.success});
}
